apiVersion: v1
kind: Secret
metadata:
  name: supabase-postgres
  labels:
    app.kubernetes.io/name: {{ template "supabase.name" . }}
    helm.sh/chart: {{ .Chart.Name }}-{{ .Chart.Version }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    app.kubernetes.io/instance: {{ .Release.Name }}
type: Opaque
{{- if (not .Values.config.postgres.integration) }}
data:
  database: {{ .Values.config.postgres.database | b64enc | quote }}
  password: {{ .Values.config.postgres.password | b64enc | quote }}
  username: {{ .Values.config.postgres.username | b64enc | quote }}
{{- else }}
data: {}
{{- end }}
